libzypp: zyppng::unexpected< T > Class Template Reference

libzypp 17.38.11

zyppng::unexpected< T > Class Template Reference

`#include <zypp-core/ng/pipelines/expected.h>`

## Public Member Functions
template<typename E = T>
| unexpected (E &&err)
| ~unexpected ()=default
| unexpected (const unexpected &)=default
| unexpected (unexpected &&)=default
unexpected & | operator= (const unexpected &)=default
unexpected & | operator= (unexpected &&)=default
const T & | error () const
T & | error ()

## Private Attributes
T | _err

## Detailed Description

template<typename T>
class zyppng::unexpected< T >

Definition at line 29 of file expected.h.

## Constructor & Destructor Documentation

## ◆ unexpected() [1/3]

template<typename T>
template<typename E = T>

zyppng::unexpected< T >::unexpected | ( | E && | err | ) |
| inlineexplicit

Definition at line 32 of file expected.h.

## ◆ ~unexpected()

template<typename T>

zyppng::unexpected< T >::~unexpected | ( |  | ) |
| default

## ◆ unexpected() [2/3]

template<typename T>

zyppng::unexpected< T >::unexpected | ( | const unexpected< T > & |  | ) |
| default

## ◆ unexpected() [3/3]

template<typename T>

zyppng::unexpected< T >::unexpected | ( | unexpected< T > && |  | ) |
| default

## Member Function Documentation

## ◆ operator=() [1/2]

template<typename T>

unexpected & zyppng::unexpected< T >::operator= | ( | const unexpected< T > & |  | ) |
| default

## ◆ operator=() [2/2]

template<typename T>

unexpected & zyppng::unexpected< T >::operator= | ( | unexpected< T > && |  | ) |
| default

## ◆ error() [1/2]

template<typename T>

const T & zyppng::unexpected< T >::error | ( |  | ) | const
| inline

Definition at line 40 of file expected.h.

## ◆ error() [2/2]

template<typename T>

T & zyppng::unexpected< T >::error | ( |  | ) |
| inline

Definition at line 44 of file expected.h.

## Member Data Documentation

## ◆ _err

template<typename T>

T zyppng::unexpected< T >::_err
| private

Definition at line 49 of file expected.h.

The documentation for this class was generated from the following file:

- zypp-core/ng/pipelines/expected.h